Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBAC.cpp File Reference

`#include "RTCORBA.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "RTCORBAC.i"`

Include dependency graph for RTCORBAC.cpp:

## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_RTCORBA_THREADPOOLLANES_CS_
#define | _RTCORBA_THREADPOOLLANES_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PROTOCOLLIST_CS_
#define | _RTCORBA_PROTOCOLLIST_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PRIORITYBANDS_CS_
#define | _RTCORBA_PRIORITYBANDS_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_NativePriority (CORBA::tk_alias, sizeof(_oc_RTCORBA_NativePriority),(char *)&_oc_RTCORBA_NativePriority, 0, sizeof(RTCORBA::NativePriority))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(RTCORBA) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_Priority (CORBA::tk_alias, sizeof(_oc_RTCORBA_Priority),(char *)&_oc_RTCORBA_Priority, 0, sizeof(RTCORBA::Priority))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ThreadpoolId (CORBA::tk_alias, sizeof(_oc_RTCORBA_ThreadpoolId),(char *)&_oc_RTCORBA_ThreadpoolId, 0, sizeof(RTCORBA::ThreadpoolId))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ThreadpoolLane (CORBA::tk_struct, sizeof(_oc_RTCORBA_ThreadpoolLane),(char *)&_oc_RTCORBA_ThreadpoolLane, 0, sizeof(RTCORBA::ThreadpoolLane))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ThreadpoolLanes (CORBA::tk_alias, sizeof(_oc_RTCORBA_ThreadpoolLanes),(char *)&_oc_RTCORBA_ThreadpoolLanes, 0, sizeof(RTCORBA::ThreadpoolLanes))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_PriorityModel (CORBA::tk_enum, sizeof(_oc_RTCORBA_PriorityModel),(char *)&_oc_RTCORBA_PriorityModel, 0, sizeof(RTCORBA::PriorityModel))
void | tao_RTCORBA_PriorityModelPolicy_release (RTCORBA::PriorityModelPolicy_ptr p)
RTCORBA::PriorityModelPolicy_ptr | tao_RTCORBA_PriorityModelPolicy_nil (void)
RTCORBA::PriorityModelPolicy_ptr | tao_RTCORBA_PriorityModelPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_PriorityModelPolicy_upcast (void *src)
RTCORBA::ThreadpoolPolicy_ptr | tao_RTCORBA_ThreadpoolPolicy_duplicate (RTCORBA::ThreadpoolPolicy_ptr p)
void | tao_RTCORBA_ThreadpoolPolicy_release (RTCORBA::ThreadpoolPolicy_ptr p)
RTCORBA::ThreadpoolPolicy_ptr | tao_RTCORBA_ThreadpoolPolicy_nil (void)
RTCORBA::ThreadpoolPolicy_ptr | tao_RTCORBA_ThreadpoolPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_ThreadpoolPolicy_upcast (void *src)
RTCORBA::ProtocolProperties_ptr | tao_RTCORBA_ProtocolProperties_duplicate (RTCORBA::ProtocolProperties_ptr p)
void | tao_RTCORBA_ProtocolProperties_release (RTCORBA::ProtocolProperties_ptr p)
RTCORBA::ProtocolProperties_ptr | tao_RTCORBA_ProtocolProperties_nil (void)
RTCORBA::ProtocolProperties_ptr | tao_RTCORBA_ProtocolProperties_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_ProtocolProperties_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ProtocolList (CORBA::tk_alias, sizeof(_oc_RTCORBA_ProtocolList),(char *)&_oc_RTCORBA_ProtocolList, 0, sizeof(RTCORBA::ProtocolList))
void | tao_RTCORBA_ServerProtocolPolicy_release (RTCORBA::ServerProtocolPolicy_ptr p)
RTCORBA::ServerProtocolPolicy_ptr | tao_RTCORBA_ServerProtocolPolicy_nil (void)
RTCORBA::ServerProtocolPolicy_ptr | tao_RTCORBA_ServerProtocolPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_ServerProtocolPolicy_upcast (void *src)
RTCORBA::ClientProtocolPolicy_ptr | tao_RTCORBA_ClientProtocolPolicy_duplicate (RTCORBA::ClientProtocolPolicy_ptr p)
void | tao_RTCORBA_ClientProtocolPolicy_release (RTCORBA::ClientProtocolPolicy_ptr p)
RTCORBA::ClientProtocolPolicy_ptr | tao_RTCORBA_ClientProtocolPolicy_nil (void)
RTCORBA::ClientProtocolPolicy_ptr | tao_RTCORBA_ClientProtocolPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_ClientProtocolPolicy_upcast (void *src)
RTCORBA::PrivateConnectionPolicy_ptr | tao_RTCORBA_PrivateConnectionPolicy_duplicate (RTCORBA::PrivateConnectionPolicy_ptr p)
void | tao_RTCORBA_PrivateConnectionPolicy_release (RTCORBA::PrivateConnectionPolicy_ptr p)
RTCORBA::PrivateConnectionPolicy_ptr | tao_RTCORBA_PrivateConnectionPolicy_nil (void)
RTCORBA::PrivateConnectionPolicy_ptr | tao_RTCORBA_PrivateConnectionPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_PrivateConnectionPolicy_upcast (void *src)
RTCORBA::TCPProtocolProperties_ptr | tao_RTCORBA_TCPProtocolProperties_duplicate (RTCORBA::TCPProtocolProperties_ptr p)
void | tao_RTCORBA_TCPProtocolProperties_release (RTCORBA::TCPProtocolProperties_ptr p)
RTCORBA::TCPProtocolProperties_ptr | tao_RTCORBA_TCPProtocolProperties_nil (void)
RTCORBA::TCPProtocolProperties_ptr | tao_RTCORBA_TCPProtocolProperties_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_TCPProtocolProperties_upcast (void *src)
RTCORBA::GIOPProtocolProperties_ptr | tao_RTCORBA_GIOPProtocolProperties_duplicate (RTCORBA::GIOPProtocolProperties_ptr p)
void | tao_RTCORBA_GIOPProtocolProperties_release (RTCORBA::GIOPProtocolProperties_ptr p)
RTCORBA::GIOPProtocolProperties_ptr | tao_RTCORBA_GIOPProtocolProperties_nil (void)
RTCORBA::GIOPProtocolProperties_ptr | tao_RTCORBA_GIOPProtocolProperties_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_GIOPProtocolProperties_upcast (void *src)
RTCORBA::UnixDomainProtocolProperties_ptr | tao_RTCORBA_UnixDomainProtocolProperties_duplicate (RTCORBA::UnixDomainProtocolProperties_ptr p)
void | tao_RTCORBA_UnixDomainProtocolProperties_release (RTCORBA::UnixDomainProtocolProperties_ptr p)
RTCORBA::UnixDomainProtocolProperties_ptr | tao_RTCORBA_UnixDomainProtocolProperties_nil (void)
RTCORBA::UnixDomainProtocolProperties_ptr | tao_RTCORBA_UnixDomainProtocolProperties_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_UnixDomainProtocolProperties_upcast (void *src)
RTCORBA::SharedMemoryProtocolProperties_ptr | tao_RTCORBA_SharedMemoryProtocolProperties_duplicate (RTCORBA::SharedMemoryProtocolProperties_ptr p)
void | tao_RTCORBA_SharedMemoryProtocolProperties_release (RTCORBA::SharedMemoryProtocolProperties_ptr p)
RTCORBA::SharedMemoryProtocolProperties_ptr | tao_RTCORBA_SharedMemoryProtocolProperties_nil (void)
RTCORBA::SharedMemoryProtocolProperties_ptr | tao_RTCORBA_SharedMemoryProtocolProperties_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_SharedMemoryProtocolProperties_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_PriorityBand (CORBA::tk_struct, sizeof(_oc_RTCORBA_PriorityBand),(char *)&_oc_RTCORBA_PriorityBand, 0, sizeof(RTCORBA::PriorityBand))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_PriorityBands (CORBA::tk_alias, sizeof(_oc_RTCORBA_PriorityBands),(char *)&_oc_RTCORBA_PriorityBands, 0, sizeof(RTCORBA::PriorityBands))
void | tao_RTCORBA_PriorityBandedConnectionPolicy_release (RTCORBA::PriorityBandedConnectionPolicy_ptr p)
RTCORBA::PriorityBandedConnectionPolicy_ptr | tao_RTCORBA_PriorityBandedConnectionPolicy_nil (void)
RTCORBA::PriorityBandedConnectionPolicy_ptr | tao_RTCORBA_PriorityBandedConnectionPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_PriorityBandedConnectionPolicy_upcast (void *src)
RTCORBA::Current_ptr | tao_RTCORBA_Current_duplicate (RTCORBA::Current_ptr p)
void | tao_RTCORBA_Current_release (RTCORBA::Current_ptr p)
RTCORBA::Current_ptr | tao_RTCORBA_Current_nil (void)
RTCORBA::Current_ptr | tao_RTCORBA_Current_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_Current_upcast (void *src)
RTCORBA::Mutex_ptr | tao_RTCORBA_Mutex_duplicate (RTCORBA::Mutex_ptr p)
void | tao_RTCORBA_Mutex_release (RTCORBA::Mutex_ptr p)
RTCORBA::Mutex_ptr | tao_RTCORBA_Mutex_nil (void)
RTCORBA::Mutex_ptr | tao_RTCORBA_Mutex_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_Mutex_upcast (void *src)
RTCORBA::RTORB_ptr | tao_RTCORBA_RTORB_duplicate (RTCORBA::RTORB_ptr p)
void | tao_RTCORBA_RTORB_release (RTCORBA::RTORB_ptr p)
RTCORBA::RTORB_ptr | tao_RTCORBA_RTORB_nil (void)
RTCORBA::RTORB_ptr | tao_RTCORBA_RTORB_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_RTCORBA_RTORB_upcast (void *src)
## Variables
const CORBA::Long | _oc_RTCORBA_NativePriority []
const CORBA::Long | _oc_RTCORBA_ThreadpoolLanes []
const CORBA::Long | _oc_RTCORBA_PriorityBands []

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PRIORITYBANDS_CS_

#define __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PROTOCOLLIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_RTCORBA_THREADPOOLLANES_CS_

#define _RTCORBA_PRIORITYBANDS_CS_

#define _RTCORBA_PROTOCOLLIST_CS_

#define _RTCORBA_THREADPOOLLANES_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_RTCORBA_NativePriority | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_NativePriority) | ,
|  | (char *)& | _oc_RTCORBA_NativePriority,
|  | 0 | ,
|  | sizeof(RTCORBA::NativePriority) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_Priority | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_Priority) | ,
|  | (char *)& | _oc_RTCORBA_Priority,
|  | 0 | ,
|  | sizeof(RTCORBA::Priority) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_PriorityBand | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_RTCORBA_PriorityBand) | ,
|  | (char *)& | _oc_RTCORBA_PriorityBand,
|  | 0 | ,
|  | sizeof(RTCORBA::PriorityBand) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_PriorityBands | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_PriorityBands) | ,
|  | (char *)& | _oc_RTCORBA_PriorityBands,
|  | 0 | ,
|  | sizeof(RTCORBA::PriorityBands) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_PriorityModel | ( | CORBA::tk_enum | ,
|  | sizeof(_oc_RTCORBA_PriorityModel) | ,
|  | (char *)& | _oc_RTCORBA_PriorityModel,
|  | 0 | ,
|  | sizeof(RTCORBA::PriorityModel) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ProtocolList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_ProtocolList) | ,
|  | (char *)& | _oc_RTCORBA_ProtocolList,
|  | 0 | ,
|  | sizeof(RTCORBA::ProtocolList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ThreadpoolId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_ThreadpoolId) | ,
|  | (char *)& | _oc_RTCORBA_ThreadpoolId,
|  | 0 | ,
|  | sizeof(RTCORBA::ThreadpoolId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ThreadpoolLane | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_RTCORBA_ThreadpoolLane) | ,
|  | (char *)& | _oc_RTCORBA_ThreadpoolLane,
|  | 0 | ,
|  | sizeof(RTCORBA::ThreadpoolLane) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ThreadpoolLanes | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_ThreadpoolLanes) | ,
|  | (char *)& | _oc_RTCORBA_ThreadpoolLanes,
|  | 0 | ,
|  | sizeof(RTCORBA::ThreadpoolLanes) |
| ) | `[static]`

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

RTCORBA::ClientProtocolPolicy_ptr tao_RTCORBA_ClientProtocolPolicy_duplicate | ( | RTCORBA::ClientProtocolPolicy_ptr | p | ) |

RTCORBA::ClientProtocolPolicy_ptr tao_RTCORBA_ClientProtocolPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::ClientProtocolPolicy_ptr tao_RTCORBA_ClientProtocolPolicy_nil | ( | void |  | ) |

void tao_RTCORBA_ClientProtocolPolicy_release | ( | RTCORBA::ClientProtocolPolicy_ptr | p | ) |

CORBA::Object* tao_RTCORBA_ClientProtocolPolicy_upcast | ( | void * | src | ) |

RTCORBA::Current_ptr tao_RTCORBA_Current_duplicate | ( | RTCORBA::Current_ptr | p | ) |

RTCORBA::Current_ptr tao_RTCORBA_Current_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::Current_ptr tao_RTCORBA_Current_nil | ( | void |  | ) |

void tao_RTCORBA_Current_release | ( | RTCORBA::Current_ptr | p | ) |

CORBA::Object* tao_RTCORBA_Current_upcast | ( | void * | src | ) |

RTCORBA::GIOPProtocolProperties_ptr tao_RTCORBA_GIOPProtocolProperties_duplicate | ( | RTCORBA::GIOPProtocolProperties_ptr | p | ) |

RTCORBA::GIOPProtocolProperties_ptr tao_RTCORBA_GIOPProtocolProperties_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::GIOPProtocolProperties_ptr tao_RTCORBA_GIOPProtocolProperties_nil | ( | void |  | ) |

void tao_RTCORBA_GIOPProtocolProperties_release | ( | RTCORBA::GIOPProtocolProperties_ptr | p | ) |

CORBA::Object* tao_RTCORBA_GIOPProtocolProperties_upcast | ( | void * | src | ) |

RTCORBA::Mutex_ptr tao_RTCORBA_Mutex_duplicate | ( | RTCORBA::Mutex_ptr | p | ) |

RTCORBA::Mutex_ptr tao_RTCORBA_Mutex_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::Mutex_ptr tao_RTCORBA_Mutex_nil | ( | void |  | ) |

void tao_RTCORBA_Mutex_release | ( | RTCORBA::Mutex_ptr | p | ) |

CORBA::Object* tao_RTCORBA_Mutex_upcast | ( | void * | src | ) |

RTCORBA::PriorityBandedConnectionPolicy_ptr tao_RTCORBA_PriorityBandedConnectionPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::PriorityBandedConnectionPolicy_ptr tao_RTCORBA_PriorityBandedConnectionPolicy_nil | ( | void |  | ) |

void tao_RTCORBA_PriorityBandedConnectionPolicy_release | ( | RTCORBA::PriorityBandedConnectionPolicy_ptr | p | ) |

CORBA::Object* tao_RTCORBA_PriorityBandedConnectionPolicy_upcast | ( | void * | src | ) |

RTCORBA::PriorityModelPolicy_ptr tao_RTCORBA_PriorityModelPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::PriorityModelPolicy_ptr tao_RTCORBA_PriorityModelPolicy_nil | ( | void |  | ) |

void tao_RTCORBA_PriorityModelPolicy_release | ( | RTCORBA::PriorityModelPolicy_ptr | p | ) |

CORBA::Object* tao_RTCORBA_PriorityModelPolicy_upcast | ( | void * | src | ) |

RTCORBA::PrivateConnectionPolicy_ptr tao_RTCORBA_PrivateConnectionPolicy_duplicate | ( | RTCORBA::PrivateConnectionPolicy_ptr | p | ) |

RTCORBA::PrivateConnectionPolicy_ptr tao_RTCORBA_PrivateConnectionPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::PrivateConnectionPolicy_ptr tao_RTCORBA_PrivateConnectionPolicy_nil | ( | void |  | ) |

void tao_RTCORBA_PrivateConnectionPolicy_release | ( | RTCORBA::PrivateConnectionPolicy_ptr | p | ) |

CORBA::Object* tao_RTCORBA_PrivateConnectionPolicy_upcast | ( | void * | src | ) |

RTCORBA::ProtocolProperties_ptr tao_RTCORBA_ProtocolProperties_duplicate | ( | RTCORBA::ProtocolProperties_ptr | p | ) |

RTCORBA::ProtocolProperties_ptr tao_RTCORBA_ProtocolProperties_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::ProtocolProperties_ptr tao_RTCORBA_ProtocolProperties_nil | ( | void |  | ) |

void tao_RTCORBA_ProtocolProperties_release | ( | RTCORBA::ProtocolProperties_ptr | p | ) |

CORBA::Object* tao_RTCORBA_ProtocolProperties_upcast | ( | void * | src | ) |

RTCORBA::RTORB_ptr tao_RTCORBA_RTORB_duplicate | ( | RTCORBA::RTORB_ptr | p | ) |

RTCORBA::RTORB_ptr tao_RTCORBA_RTORB_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::RTORB_ptr tao_RTCORBA_RTORB_nil | ( | void |  | ) |

void tao_RTCORBA_RTORB_release | ( | RTCORBA::RTORB_ptr | p | ) |

CORBA::Object* tao_RTCORBA_RTORB_upcast | ( | void * | src | ) |

RTCORBA::ServerProtocolPolicy_ptr tao_RTCORBA_ServerProtocolPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::ServerProtocolPolicy_ptr tao_RTCORBA_ServerProtocolPolicy_nil | ( | void |  | ) |

void tao_RTCORBA_ServerProtocolPolicy_release | ( | RTCORBA::ServerProtocolPolicy_ptr | p | ) |

CORBA::Object* tao_RTCORBA_ServerProtocolPolicy_upcast | ( | void * | src | ) |

RTCORBA::SharedMemoryProtocolProperties_ptr tao_RTCORBA_SharedMemoryProtocolProperties_duplicate | ( | RTCORBA::SharedMemoryProtocolProperties_ptr | p | ) |

RTCORBA::SharedMemoryProtocolProperties_ptr tao_RTCORBA_SharedMemoryProtocolProperties_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::SharedMemoryProtocolProperties_ptr tao_RTCORBA_SharedMemoryProtocolProperties_nil | ( | void |  | ) |

void tao_RTCORBA_SharedMemoryProtocolProperties_release | ( | RTCORBA::SharedMemoryProtocolProperties_ptr | p | ) |

CORBA::Object* tao_RTCORBA_SharedMemoryProtocolProperties_upcast | ( | void * | src | ) |

RTCORBA::TCPProtocolProperties_ptr tao_RTCORBA_TCPProtocolProperties_duplicate | ( | RTCORBA::TCPProtocolProperties_ptr | p | ) |

RTCORBA::TCPProtocolProperties_ptr tao_RTCORBA_TCPProtocolProperties_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::TCPProtocolProperties_ptr tao_RTCORBA_TCPProtocolProperties_nil | ( | void |  | ) |

void tao_RTCORBA_TCPProtocolProperties_release | ( | RTCORBA::TCPProtocolProperties_ptr | p | ) |

CORBA::Object* tao_RTCORBA_TCPProtocolProperties_upcast | ( | void * | src | ) |

RTCORBA::ThreadpoolPolicy_ptr tao_RTCORBA_ThreadpoolPolicy_duplicate | ( | RTCORBA::ThreadpoolPolicy_ptr | p | ) |

RTCORBA::ThreadpoolPolicy_ptr tao_RTCORBA_ThreadpoolPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::ThreadpoolPolicy_ptr tao_RTCORBA_ThreadpoolPolicy_nil | ( | void |  | ) |

void tao_RTCORBA_ThreadpoolPolicy_release | ( | RTCORBA::ThreadpoolPolicy_ptr | p | ) |

CORBA::Object* tao_RTCORBA_ThreadpoolPolicy_upcast | ( | void * | src | ) |

RTCORBA::UnixDomainProtocolProperties_ptr tao_RTCORBA_UnixDomainProtocolProperties_duplicate | ( | RTCORBA::UnixDomainProtocolProperties_ptr | p | ) |

RTCORBA::UnixDomainProtocolProperties_ptr tao_RTCORBA_UnixDomainProtocolProperties_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

RTCORBA::UnixDomainProtocolProperties_ptr tao_RTCORBA_UnixDomainProtocolProperties_nil | ( | void |  | ) |

void tao_RTCORBA_UnixDomainProtocolProperties_release | ( | RTCORBA::UnixDomainProtocolProperties_ptr | p | ) |

CORBA::Object* tao_RTCORBA_UnixDomainProtocolProperties_upcast | ( | void * | src | ) |

## Variable Documentation

const CORBA::Long _oc_RTCORBA_NativePriority[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      39,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x4e617469),
      ACE_NTOHL (0x76655072),
      ACE_NTOHL (0x696f7269),
      ACE_NTOHL (0x74793a31),
      ACE_NTOHL (0x2e300000),
      15,
      ACE_NTOHL (0x4e617469),
      ACE_NTOHL (0x76655072),
      ACE_NTOHL (0x696f7269),
      ACE_NTOHL (0x74790000),
      CORBA::tk_short,

    }

const CORBA::Long _oc_RTCORBA_PriorityBands[]`[static]`

const CORBA::Long _oc_RTCORBA_ThreadpoolLanes[]`[static]`